Skip to main content

Introduction

A seller represents an external entity that sells products in the retailers’ environment (marketplace). Sellers entities are, initially, available through retailers’ catalogs and can aggregate different products offered by them in the retailer marketplace. A demand account can be associated with multiple sellers (across multiple retailers) and be willing to serve ads across them. This endpoint provides a programatic way to identify all sellers (and, consequently, retailers) associated with the respective account, so that campaigns can be set up accordingly.

Endpoints

Verb

Endpoint

Description

POST

/accounts/sellers/search

Search for Sellers, associated with retailers, given an account ID

Sellers Accounts Search Attributes

Attribute

Data Type

Description

accountId*

string

AccountID, to consider in the search for Seller accounts

Accepted values: int64

Writeable? N / Nullable? N

includeDetails

boolean

Flag indicating to include accounts’ details in the response, such asname.

It may improve performance when set tofalse

Accepted values:true/false

Default:false

Writeable? N / Nullable? Y

sellerId

string

Seller ID, specific to the associated Retailer

Accepted values: int64

Writeable? N / Nullable? N

retailerId

integer

RetailerID which the seller account is associated with

Accepted values: int32

Writeable? N / Nullable? N

name

string

Seller name

Accepted values: string

Writeable? N / Nullable? Y

* Required

Search for Sellers associated with Account

This endpoint returns a list of Seller IDs (each associated with a different retailer) available for the given account ID: Sample Request
curl -L -X POST 'https://api.criteo.com/{version}/retail-media/accounts/sellers/search' \
    -H 'Content-Type: application/json' \
    -H 'Accept: application/json' \
    -H 'Authorization: Bearer <MY_ACCESS_TOKEN>' \
    -d '{
            "data": {
                "type": "<string>",
                "attributes": {
                    "accountIds": [
                        "100000002342852933"
                    ],
                    "includeDetails": false
                }
            }
        }'
Sample Response
{
    "data": [
        {
            "type": "SellerSearchResult",
            "attributes": {
                "accountId": "100000002342852933",
                "sellers": [
                    {
                        "sellerId": "xxxxxxxxxxxxxxxxxxxxxxxx",
                        "retailerId": 123,
                        "name": null
                    }
                ]
            }
        }
    ],
    "warnings": [],
    "errors": []
}

Responses

Response

Error

Message

Description

🟢200

Call completed successfully

🔴400

Validation Error

Error deserializing request

One of the parameters provided in the request does not match the format accepted. Check the error details and the parameters informed in the call

🔴403

Authorization Error

Resource access forbidden: does not have permissions

API user does not have the authorization to make requests to the account ID. For an authorization request, follow theauthorization requeststeps